Needs updating! Most don't work. Rated 1 out of 5 stars

This extension needs updating!

Currently only 2 out of the 7 features work: Always use HTTPS and text wrap. Both of these are available as greasemonkey scripts on userscripts.org, so I'd recommend that.